# eric6.E5Gui.E5TreeSortFilterProxyModel

Module implementing a modified QSortFilterProxyModel.

### Global Attributes

None

### Classes

E5TreeSortFilterProxyModel | Class implementing a modified QSortFilterProxyModel.

### Functions

None

## E5TreeSortFilterProxyModel

Class implementing a modified QSortFilterProxyModel.

It always accepts the root nodes in the tree so filtering is only done on the children.

### Derived from

QSortFilterProxyModel

### Class Attributes

None

### Class Methods

None

### Methods

E5TreeSortFilterProxyModel | Constructor
filterAcceptsRow | Public method to determine, if the row is acceptable.
hasChildren | Public method to check, if a parent node has some children.

### Static Methods

None

#### E5TreeSortFilterProxyModel (Constructor)

E5TreeSortFilterProxyModel(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### E5TreeSortFilterProxyModel.filterAcceptsRow

filterAcceptsRow(sourceRow, sourceParent)

Public method to determine, if the row is acceptable.

sourceRow
  row number in the source model (integer)
sourceParent
  index of the source item (QModelIndex)

Returns:
  flag indicating acceptance (boolean)

#### E5TreeSortFilterProxyModel.hasChildren

hasChildren(parent=None)

Public method to check, if a parent node has some children.

parent
  index of the parent node (QModelIndex)

Returns:
  flag indicating the presence of children (boolean)

Up